let
	hosts = (import ./hosts.nix);
	secrets = (import ../secrets.nix);
	generateTincConfiguration = (import ./tinc);
in
	generateTincConfiguration {
		debugLevel = 3;
		pingInterval = 10;
		nodes = {
			workbot = {
				ipv4 = hosts.workbot.ipv4;
				internalIpv4 = hosts.workbot.internalIpv4;
				tincPublicKey = hosts.workbot.tincPublicKey;
				tincPrivateKeyFile = secrets.workbot.tincPrivateKeyFile;
			};
			osmium = {
				ipv4 = hosts.osmium.ipv4;
				internalIpv4 = hosts.osmium.internalIpv4;
				tincPublicKey = hosts.osmium.tincPublicKey;
				tincPrivateKeyFile = secrets.osmium.tincPrivateKeyFile;
			};
			nijaxor = {
				ipv4 = hosts.nijaxor.ipv4;
				internalIpv4 = hosts.nijaxor.internalIpv4;
				tincPublicKey = hosts.nijaxor.tincPublicKey;
				tincPrivateKeyFile = secrets.nijaxor.tincPrivateKeyFile;
			};
		};
	}
