let
	hosts = (import ../lib/hosts.nix);
	removeNewlines = (import ../lib/util/remove-newlines.nix);
	presetRootSsh = (import ../lib/presets/root-ssh.nix);
in {
	nijaxor = {config, pkgs, ...}@args: let
		presetTools = (import ../lib/presets/tools.nix) args;
		presetQemuGuest = (import ../lib/presets/qemu-guest.nix);
	in
		{
			deployment.targetHost = hosts.nijaxor.ipv4;

			/* Begin hardware configuration section */
			boot.kernelModules = [ ];
			boot.extraModulePackages = [ ];
			swapDevices = [ ];
			nix.maxJobs = pkgs.lib.mkDefault 2;
			/* End hardware configuration section */

			fileSystems = {
				"/" = {
					device = "/dev/disk/by-uuid/8750e892-eb14-4ff0-a07d-65995ebc65ea";
					fsType = "ext4";
				};
			};

			networking = {
				hostName = "nijaxor";
			};

			/* networking = {
				hostName = "osmium";
				defaultGateway6 = "2a01:4a0:4a::1";
				interfaces.ens3 = {
					ipv6.addresses = [{
						address = "2a01:4a0:4a:5d::35c7";
						prefixLength = 48;
					}];
				};
			}; */
		} // presetRootSsh // presetTools // presetQemuGuest;
}
